Sign inGet started

Short Code Numbers

Overview

A short number (4-6 digits) used for sending and receiving SMS and MMS messages to mobile phones in a single country. Short code numbers are strictly domestic and are not recommended for sending international traffic.

API Access

The following API requests can only be made using a valid access key, and attached to an access role, with an access policy that at least specifies the permissions to the resources outlined in each section below. Learn more about API access.

List Short Code Numbers

In order to retrieve all short code numbers available in your workspace you can use this request.
GET
/workspaces/{workspaceId}/numbers-short-code
Get a list of all short code numbers assigned to your workspace. The results can be paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Payload della risposta
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.endpointId
string
obbligatorio
results.type
string
obbligatorio
Possible values: dedicated, vanity, shared
results.numberString
string
obbligatorio
results.countryCode
string
obbligatorio
The country code in ISO 3166-1 alpha-2 format.
results.capabilities
object
obbligatorio
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
Mostra attributi secondari
results.capabilities.voice
object
obbligatorio
Mostra attributi secondari
results.capabilities.voice.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
results.capabilities.voice.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
results.capabilities.sms
object
obbligatorio
Mostra attributi secondari
results.capabilities.sms.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
results.capabilities.sms.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
results.capabilities.mms
object
obbligatorio
Mostra attributi secondari
results.capabilities.mms.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
results.capabilities.mms.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
results.capabilities.whatsapp
object
Mostra attributi secondari
results.capabilities.whatsapp.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
results.capabilities.whatsapp.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
results.endpoint
object
obbligatorio
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
Mostra attributi secondari
results.endpoint.id
string
obbligatorio
The ID of the endpoint.
results.endpoint.type
string
obbligatorio
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
results.endpoint.instanceId
string
obbligatorio
The unique identifier of the instance.
results.endpoint.name
string
obbligatorio
The name of the endpoint. For some cases it will be the number in international format as string.
results.endpoint.capabilities
array of object
obbligatorio
Mostra attributi secondari
results.endpoint.capabilities.name
string
obbligatorio
Possible values: sms
results.endpoint.capabilities.inbound
object
Mostra attributi secondari
results.endpoint.capabilities.inbound.status
string
obbligatorio
Possible values: active, inactive, available, unavailable
results.endpoint.capabilities.inbound.issues
array of string
results.endpoint.capabilities.outbound
object
Mostra attributi secondari
results.endpoint.capabilities.outbound.status
string
obbligatorio
Possible values: active, inactive, available, unavailable
results.endpoint.capabilities.outbound.destinationStatuses
object
Mostra attributi secondari
results.endpoint.capabilities.outbound.destinationStatuses.active
number
results.endpoint.capabilities.outbound.destinationStatuses.inactive
number
results.endpoint.capabilities.outbound.destinationStatuses.available
number
results.endpoint.capabilities.outbound.destinationStatuses.unavailable
number
results.endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
results.endpoint.capabilities.outbound.issues
array of string
results.endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
Mostra attributi secondari
results.endpoint.dependencies.type
string
Possible values: connector
results.endpoint.dependencies.connectorId
string
obbligatorio
results.endpoint.dependencies.connectorTemplateRef
string
obbligatorio
results.endpoint.dependencies.capabilities
array of string
results.endpoint.issues
array of string
results.endpoint.provisioningStatus
string
obbligatorio
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
results.endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
Mostra attributi secondari
results.endpoint.whatsApp.whatsAppId
string
results.endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
results.endpoint.whatsApp.stage
string
results.endpoint.whatsApp.attempt
integer
results.endpoint.whatsApp.nextAttemptAt
string
results.endpoint.whatsApp.verificationExpiresAt
string
results.endpoint.whatsApp.requestedCodeAt
string
results.endpoint.whatsApp.createdAt
string
results.endpoint.whatsApp.updatedAt
string
results.endpoint.createdAt
string
obbligatorio
results.endpoint.updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-short-code' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Esempio di codice
curl "https://api.bird.com/workspaces/{workpaceId}/numbers-short-code/" \
     -H 'Authorization: Bearer <your-access-key>'

Get a Short Code Number

In order to retrieve the details of a short code number available in your workspace you can use this request.
GET
/workspaces/{workspaceId}/numbers-short-code/{shortCodeNumberId}
This endpoint returns the previously created short code number by its ID.
Payload della risposta
id
string
obbligatorio
endpointId
string
obbligatorio
type
string
obbligatorio
Possible values: dedicated, vanity, shared
numberString
string
obbligatorio
countryCode
string
obbligatorio
The country code in ISO 3166-1 alpha-2 format.
capabilities
object
obbligatorio
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
Mostra attributi secondari
capabilities.voice
object
obbligatorio
Mostra attributi secondari
capabilities.voice.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.voice.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
capabilities.sms
object
obbligatorio
Mostra attributi secondari
capabilities.sms.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.sms.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
capabilities.mms
object
obbligatorio
Mostra attributi secondari
capabilities.mms.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.mms.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
capabilities.whatsapp
object
Mostra attributi secondari
capabilities.whatsapp.inbound
boolean
obbligatorio
Whether the number supports inbound use cases.
capabilities.whatsapp.outbound
boolean
obbligatorio
Whether the number supports outbound use cases.
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
endpoint
object
obbligatorio
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
Mostra attributi secondari
endpoint.id
string
obbligatorio
The ID of the endpoint.
endpoint.type
string
obbligatorio
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
endpoint.instanceId
string
obbligatorio
The unique identifier of the instance.
endpoint.name
string
obbligatorio
The name of the endpoint. For some cases it will be the number in international format as string.
endpoint.capabilities
array of object
obbligatorio
Mostra attributi secondari
endpoint.capabilities.name
string
obbligatorio
Possible values: sms
endpoint.capabilities.inbound
object
Mostra attributi secondari
endpoint.capabilities.inbound.status
string
obbligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.inbound.issues
array of string
endpoint.capabilities.outbound
object
Mostra attributi secondari
endpoint.capabilities.outbound.status
string
obbligatorio
Possible values: active, inactive, available, unavailable
endpoint.capabilities.outbound.destinationStatuses
object
Mostra attributi secondari
endpoint.capabilities.outbound.destinationStatuses.active
number
endpoint.capabilities.outbound.destinationStatuses.inactive
number
endpoint.capabilities.outbound.destinationStatuses.available
number
endpoint.capabilities.outbound.destinationStatuses.unavailable
number
endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
endpoint.capabilities.outbound.issues
array of string
endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
Mostra attributi secondari
endpoint.dependencies.type
string
Possible values: connector
endpoint.dependencies.connectorId
string
obbligatorio
endpoint.dependencies.connectorTemplateRef
string
obbligatorio
endpoint.dependencies.capabilities
array of string
endpoint.issues
array of string
endpoint.provisioningStatus
string
obbligatorio
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
Mostra attributi secondari
endpoint.whatsApp.whatsAppId
string
endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
endpoint.whatsApp.stage
string
endpoint.whatsApp.attempt
integer
endpoint.whatsApp.nextAttemptAt
string
endpoint.whatsApp.verificationExpiresAt
string
endpoint.whatsApp.requestedCodeAt
string
endpoint.whatsApp.createdAt
string
endpoint.whatsApp.updatedAt
string
endpoint.createdAt
string
obbligatorio
endpoint.updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-short-code/{shortCodeNumberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
Esempio di codice
curl "https://api.bird.com/workspaces/{workpaceId}/numbers-short-code/{shorCodeNumberId}" \
     -H 'Authorization: Bearer <your-access-key>'